Skip to content
Docs

Create a Blob store

POSThttps://api.vercel.com/storage/stores/blob
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel();
async function run() {
const result = await vercel.storage.createStorageStoresBlob();
console.log(result);
}
run();
Response
{
"store": {
"projectFilter": {
"git": {
"owners": [],
"providers": [],
"repos": []
}
},
"projectsMetadata": [
{
"deployments": {
"actions": [
{
"environments": [],
"slug": "string"
}
],
"required": "false"
},
"environments": [],
"environmentVariables": [],
"envVarPrefix": "string",
"framework": "actix-web",
"id": "icfg_1234567890",
"latestDeployment": "string",
"makeEnvVarsSensitive": "false",
"name": "Example Name",
"projectId": "example_id"
}
],
"status": "available",
"totalConnectedProjects": "123",
"usageQuotaExceeded": "false",
"access": "private",
"kind": "project-default",
"projectId": "example_id",
"count": "123",
"isTokenExpired": "false",
"region": "arn1",
"size": "123"
}
}
application/json
namestringRequired
regionstringOptional
accessstringOptional
projectIdstringOptional
200Success
storeobjectRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error
429Error